# Apply for USMS Signature - CreateUSMSSignature

## Overview

Invoke the CreateUSMSSignature interface to apply for a USMS signature

 > 💡 You can apply for a SMS signature by calling the CreateUSMSSignature interface or through the control panel. The SMS signature must comply with the [UCloud Service Agreement](https://docs.ucloud.cn/management_monitor/usms/introduction/service_level). The process for applying for a SMS signature can be found in the official [SMS Signature Review Standards](https://docs.ucloud.cn/management_monitor/usms/introduction/2005/2103) explanation;




## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUSMSSignature`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID, if not filled in, the default project will be used. Sub-accounts must fill in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **SigContent** | string | Signature Content |**Yes**|
| **SigType** | int | Signature types are as follows: 0 - Full or abbreviated name of a company or enterprise; 1 - Full or abbreviated name of an App application; 2 - Full or abbreviated name of a website registered with the Ministry of Industry and Information Technology; 3 - Full or abbreviated name of a public account or mini-program; 4 - Full or abbreviated name of a trademark; 5 - Full or abbreviated name of a government/organ/other unit; |**Yes**|
| **SigPurpose** | int | Purpose of signature, 0-Self-use, 1-Other's use; |**Yes**|
| **CertificateType** | int | The type of qualification certificate for the signature must be consistent with the signature type, as follows: 0 - Three-in-one / Business License / Organization Code Certificate / Social Credit Code Certificate; 1 - Screenshot of the App Store backend developer management; 2 - Screenshot of successful filing by the filing service provider (including domain name, website name, filing number); 3 - Screenshot of the management interface of the public account or mini program; 4 - Trademark registration certificate; 5 - Organization code certificate, social credit code certificate;". |**Yes**|
| **Description** | string | Reason for SMS Signature Application |**Yes**|
| **File** | string | The qualification document for the SMS signature needs to be converted into base64 encoding format first. Fill in the converted string here. The file size should not exceed 4 MB. |No|
| **International** | boolean | Domestic/International messages. true: International messages, false: Domestic messages, if no value is passed, the default value is false. |No|
| **ProxyFile** | string | The SMS signature authorization letter needs to be converted into base64 encoding format first, and the converted string is filled in here. The file size should not exceed 4 MB; when you are an agent and using a third party's signature (i.e., when SigPurpose is 1-for others), this item is required. |No|
| **QualificationId** | string | Qualification ID |No|
| **SceneDesc** | string | Description of the scenario corresponding to the USMS signature |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **SigId** | string | SMS Signature ID (Work Order ID when applying for SMS Signature) |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=CreateUSMSSignature
&ProjectId=cn-zj
&SigContent=IrvtYXdi
&SigType=0
&SigPurpose=0
&CertificateType=0
&Description=EDYoldFz
&File=ICMXVWmw
&International=false
&ProxyFile=IaCnaxJg
&QualificationId=NGKkDXvv
&SceneDesc=WwbYncpP
```

### Response Example
    
```json
{
  "Action": "CreateUSMSSignatureResponse",
  "Message": "SzgLwgcG",
  "RetCode": 0,
  "SigId": "RMkBxFFQ"
}
```





